[arch-commits] Commit in python-envisage/repos/community-any (PKGBUILD PKGBUILD)

Andrzej Giniewicz aginiewicz at archlinux.org
Sun Feb 10 13:54:47 UTC 2019


    Date: Sunday, February 10, 2019 @ 13:54:46
  Author: aginiewicz
Revision: 431437

archrelease: copy trunk to community-any

Added:
  python-envisage/repos/community-any/PKGBUILD
    (from rev 431436, python-envisage/trunk/PKGBUILD)
Deleted:
  python-envisage/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  119 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 59 insertions(+), 60 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-02-10 13:54:42 UTC (rev 431436)
+++ PKGBUILD	2019-02-10 13:54:46 UTC (rev 431437)
@@ -1,60 +0,0 @@
-# $Id$
-# Maintainer: Andrzej Giniewicz <gginiu at gmail.com>
-
-pkgbase=python-envisage
-pkgname=('python2-envisage' 'python-envisage')
-pkgver=4.7.0
-pkgrel=1
-pkgdesc="Extensible Application Framework"
-arch=('any')
-url="https://github.com/enthought/envisage"
-license=('BSD')
-makedepends=('python-setuptools' 'python-apptools' 'python2-setuptools' 'python2-apptools')
-checkdepends=('python-nose' 'python-configobj' 'python2-nose' 'python2-configobj')
-source=("envisage-$pkgver.tar.gz::https://github.com/enthought/envisage/archive/${pkgver}.tar.gz")
-md5sums=('0f091eeb299464c9f6b6d77c1bd5d5c3')
-
-prepare() {
-  cd "$srcdir"
-  cp -a envisage-${pkgver} envisage-py2-${pkgver}
-}
-
-build() {
-  cd "$srcdir"/envisage-py2-$pkgver
-
-  msg "Building Python2"
-  python2 setup.py build
-
-  cd "$srcdir"/envisage-$pkgver
-
-  msg "Building Python3"
-  python setup.py build
-}
-
-check() {
-  cd "$srcdir"/envisage-py2-$pkgver
-  nosetests2 envisage
-
-  cd "$srcdir"/envisage-$pkgver
-  nosetests envisage || warning "tests failed"
-}
-
-package_python2-envisage() {
-  depends=('python2-apptools')
-  optdepends=('ipython2: for IPython shell plugin')
-  cd "$srcdir"/envisage-py2-$pkgver
-
-  python2 setup.py install --root="$pkgdir"/  --optimize=1
-
-  install -D LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}
-
-package_python-envisage() {
-  depends=('python-apptools')
-  optdepends=('ipython: for IPython shell plugin')
-  cd "$srcdir"/envisage-$pkgver
-
-  python setup.py install --root="$pkgdir"/  --optimize=1
-
-  install -D LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}

Copied: python-envisage/repos/community-any/PKGBUILD (from rev 431436, python-envisage/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-02-10 13:54:46 UTC (rev 431437)
@@ -0,0 +1,59 @@
+# Maintainer: Andrzej Giniewicz <gginiu at gmail.com>
+
+pkgbase=python-envisage
+pkgname=('python2-envisage' 'python-envisage')
+pkgver=4.7.1
+pkgrel=1
+pkgdesc="Extensible Application Framework"
+arch=('any')
+url="https://github.com/enthought/envisage"
+license=('BSD')
+makedepends=('python-setuptools' 'python-apptools' 'python2-setuptools' 'python2-apptools')
+checkdepends=('python-nose' 'python-configobj' 'python2-nose' 'python2-configobj')
+source=("envisage-$pkgver.tar.gz::https://github.com/enthought/envisage/archive/${pkgver}.tar.gz")
+sha1sums=('63c5bdad560bae33d9200e1b8202e1a6363d48df')
+
+prepare() {
+  cd "$srcdir"
+  cp -a envisage-${pkgver} envisage-py2-${pkgver}
+}
+
+build() {
+  cd "$srcdir"/envisage-py2-$pkgver
+
+  # "Building Python2"
+  python2 setup.py build
+
+  cd "$srcdir"/envisage-$pkgver
+
+  # "Building Python3"
+  python setup.py build
+}
+
+check() {
+  cd "$srcdir"/envisage-py2-$pkgver
+  nosetests2 envisage
+
+  cd "$srcdir"/envisage-$pkgver
+  nosetests envisage || warning "tests failed"
+}
+
+package_python2-envisage() {
+  depends=('python2-apptools')
+  optdepends=('ipython2: for IPython shell plugin')
+  cd "$srcdir"/envisage-py2-$pkgver
+
+  python2 setup.py install --root="$pkgdir"/  --optimize=1
+
+  install -D LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_python-envisage() {
+  depends=('python-apptools')
+  optdepends=('ipython: for IPython shell plugin')
+  cd "$srcdir"/envisage-$pkgver
+
+  python setup.py install --root="$pkgdir"/  --optimize=1
+
+  install -D LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}



More information about the arch-commits mailing list